CPOW(3)

NAME
cpow, cpowf, cpowl - complex power functions

SYNOPSIS
#include <complex.h>
double complex
cpow(double complex x, double complex y);
float complex
cpowf(float complex x, float complex y);
long double complex
cpowl(long double complex x, long double complex y);

DESCRIPTION
These functions compute the complex power function x**y, with a branch cut for the first parameter along the negative real axis.

RETURN VALUES
These functions return the complex power function value.

ERRORS
No errors are defined.

SEE ALSO
cabs(3), csqrt(3), p1003.1-2001 <complex.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .